Debian Bug report logs - #710789
texlive-base: TL2012's texlive-common didn't get removed after upgrading to TL2013

version graph

Package: texlive-base; Maintainer for texlive-base is Debian TeX Maintainers <debian-tex-maint@lists.debian.org>; Source for texlive-base is src:texlive-base.

Reported by: أحمد المحمودي <aelmahmoudy@sabily.org>

Date: Sun, 2 Jun 2013 13:03:02 UTC

Severity: normal

Found in version texlive-base/2013.20130530-1

Fixed in version texlive-base/2013.20130722-1

Done: Norbert Preining <preining@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#710789; Package texlive-base. (Sun, 02 Jun 2013 13:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to أحمد المحمودي <aelmahmoudy@sabily.org>:
New Bug report received and forwarded. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Sun, 02 Jun 2013 13:03:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: أحمد المحمودي <aelmahmoudy@sabily.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: texlive-base: TL2012's texlive-common didn't get removed after upgrading to TL2013
Date: Sun, 02 Jun 2013 14:42:43 +0200
Package: texlive-base
Version: 2013.20130530-1
Severity: normal

Dear Maintainer,

  After upgrading to TL2013, I found that texlive-common 2012.20120611-5 
  is still on my system.
  
  I see that texlive-base has Replaces: texlive-common (<<2013), maybe 
  texlive-common (<<2013) should also be Conflicts ?

  Maybe it isn't an issue at all. Since there are no conflicting files 
  between texlive-base 2013 & texlive-common 2012


##################################
minimal input file


##################################
other files

######################################
 List of ls-R files

-rw-r--r-- 1 root root 1488 Jun  2 14:30 /var/lib/texmf/ls-R
-rw-rw-r-- 1 root staff 80 Oct 24  2012 /usr/local/share/texmf/ls-R
lrwxrwxrwx 1 root root 29 May 23 22:06 /usr/share/texmf/ls-R -> /var/lib/texmf/ls-R-TEXMFMAIN
lrwxrwxrwx 1 root root 31 Jun  1 12:32 /usr/share/texlive/texmf-dist/ls-R -> /var/lib/texmf/ls-R-TEXLIVEDIST
lrwxrwxrwx 1 root root 31 Jun  1 12:32 /usr/share/texlive/texmf-dist/ls-R -> /var/lib/texmf/ls-R-TEXLIVEDIST
######################################
 Config files
lrwxrwxrwx 1 root root 40 Jun  1 12:32 /usr/share/texmf/web2c/texmf.cnf -> ../../texlive/texmf-dist/web2c/texmf.cnf
-rw-r--r-- 1 root root 3653 Jun  2 14:30 /var/lib/texmf/web2c/fmtutil.cnf
lrwxrwxrwx 1 root root 32 Jun  1 12:32 /usr/share/texmf/web2c/updmap.cfg -> /var/lib/texmf/updmap.cfg-DEBIAN
-rw-r--r-- 1 root root 3715 Jun  2 14:30 /var/lib/texmf/tex/generic/config/language.dat
######################################
 Files in /etc/texmf/web2c/
total 8
-rw-r--r-- 1 root root 283 Mar 26  2011 mktex.cnf
-rw-r--r-- 1 root root 475 May 26 18:48 texmf.cnf
######################################
 md5sums of texmf.d
ca40c66f144b4bafc3e59a2dd32ecb9c  /etc/texmf/texmf.d/00debian.cnf

-- System Information:
Debian Release: wheezy/sid
  APT prefers raring-updates
  APT policy: (500, 'raring-updates'), (500, 'raring-security'), (500, 'raring'), (100, 'raring-backports')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.8.0-22-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages texlive-base depends on:
ii  debconf [debconf-2.0]  1.5.49ubuntu1
ii  dpkg                   1.16.10ubuntu1
ii  install-info           4.13a.dfsg.1-10ubuntu4
ii  libpaper-utils         1.1.24+nmu2ubuntu2
ii  luatex                 0.76.0-2
ii  tex-common             4.03
ii  texlive-binaries       2013.20130529.30792-1
ii  ucf                    3.0025+nmu3
ii  xdg-utils              1.1.0~rc1-2ubuntu7

Versions of packages texlive-base recommends:
ii  lmodern  2.004.3-1

Versions of packages texlive-base suggests:
ii  evince [postscript-viewer]       3.8.2-0ubuntu1~raring1
ii  ghostscript [postscript-viewer]  9.07~dfsg2-0ubuntu3
pn  perl-tk                          <none>
pn  xpdf-reader | pdf-viewer         <none>

Versions of packages tex-common depends on:
ii  debconf [debconf-2.0]  1.5.49ubuntu1
ii  dpkg                   1.16.10ubuntu1
ii  ucf                    3.0025+nmu3

Versions of packages tex-common suggests:
ii  debhelper  9.20120909ubuntu1

Versions of packages texlive-base is related to:
ii  tex-common        4.03
ii  texlive-binaries  2013.20130529.30792-1

-- debconf information excluded



Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#710789; Package texlive-base. (Mon, 03 Jun 2013 02:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. (Mon, 03 Jun 2013 02:03:04 GMT) Full text and rfc822 format available.

Message #10 received at 710789@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: أحمد المحمودي <aelmahmoudy@sabily.org>, 710789@bugs.debian.org
Subject: Re: Bug#710789: texlive-base: TL2012's texlive-common didn't get removed after upgrading to TL2013
Date: Mon, 3 Jun 2013 11:00:14 +0900
On So, 02 Jun 2013, أحمد المحمودي wrote:
>   After upgrading to TL2013, I found that texlive-common 2012.20120611-5 
>   is still on my system.

Yes, but it is as with many packages that are dropped, the remain
until removed by the user.

>   I see that texlive-base has Replaces: texlive-common (<<2013), maybe 
>   texlive-common (<<2013) should also be Conflicts ?

Maybe, but I don't see a need for it.

>   Maybe it isn't an issue at all. Since there are no conflicting files 
>   between texlive-base 2013 & texlive-common 2012

Right.  But I might still add the conflict just to get
rid of it, might be the safer option, I agree.


Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Reply sent to Norbert Preining <preining@debian.org>:
You have taken responsibility. (Thu, 25 Jul 2013 07:21:13 GMT) Full text and rfc822 format available.

Notification sent to أحمد المحمودي <aelmahmoudy@sabily.org>:
Bug acknowledged by developer. (Thu, 25 Jul 2013 07:21:13 GMT) Full text and rfc822 format available.

Message #15 received at 710789-close@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@debian.org>
To: 710789-close@bugs.debian.org
Subject: Bug#710789: fixed in texlive-base 2013.20130722-1
Date: Thu, 25 Jul 2013 07:19:49 +0000
Source: texlive-base
Source-Version: 2013.20130722-1

We believe that the bug you reported is fixed in the latest version of
texlive-base, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 710789@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Norbert Preining <preining@debian.org> (supplier of updated texlive-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 22 Jul 2013 17:35:16 +0900
Source: texlive-base
Binary: texlive-base texlive-generic-recommended texlive-latex-base texlive-latex-recommended texlive-fonts-recommended texlive-pictures texlive-luatex texlive-metapost texlive-omega texlive-xetex texlive texlive-full texlive-fonts-recommended-doc texlive-latex-base-doc texlive-latex-recommended-doc texlive-metapost-doc texlive-pictures-doc
Architecture: source all
Version: 2013.20130722-1
Distribution: unstable
Urgency: low
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Changed-By: Norbert Preining <preining@debian.org>
Description: 
 texlive    - TeX Live: A decent selection of the TeX Live packages
 texlive-base - TeX Live: Essential programs and files
 texlive-fonts-recommended - TeX Live: Recommended fonts
 texlive-fonts-recommended-doc - TeX Live: Documentation files for texlive-fonts-recommended
 texlive-full - TeX Live: metapackage pulling in all components of TeX Live
 texlive-generic-recommended - TeX Live: Generic recommended packages
 texlive-latex-base - TeX Live: LaTeX fundamental packages
 texlive-latex-base-doc - TeX Live: Documentation files for texlive-latex-base
 texlive-latex-recommended - TeX Live: LaTeX recommended packages
 texlive-latex-recommended-doc - TeX Live: Documentation files for texlive-latex-recommended
 texlive-luatex - TeX Live: LuaTeX packages
 texlive-metapost - TeX Live: MetaPost and Metafont packages
 texlive-metapost-doc - TeX Live: Documentation files for texlive-metapost
 texlive-omega - TeX Live: Omega packages
 texlive-pictures - TeX Live: Graphics, pictures, diagrams
 texlive-pictures-doc - TeX Live: Documentation files for texlive-pictures
 texlive-xetex - TeX Live: XeTeX and packages
Closes: 710789 711235
Changes: 
 texlive-base (2013.20130722-1) unstable; urgency=low
 .
   * new upstream checkout
   * conflict with texlive common so that it gets removed (Closes: #710789)
   * add Polish debconf translation, thanks to Michał Kułach
     (Closes: #711235)
   * update tlmgr (and with new upstream also TLUtils.pm) to support
     map files in user mode
Checksums-Sha1: 
 d413ae78e2448f8886ff851be31c7beef1db6d26 2299 texlive-base_2013.20130722-1.dsc
 ba152834961803fbd3be321aeb19e24ba2a7e7bc 216575252 texlive-base_2013.20130722.orig.tar.xz
 a46176c6ee0d24200575f406a5afd6e4555a1480 140385 texlive-base_2013.20130722-1.debian.tar.gz
 19477eda9ee5002d2bd8945cf8ed384eab7ed3b3 16078180 texlive-base_2013.20130722-1_all.deb
 a8a5b994318265f0c7af1888cb3ad7f0ea232c37 2141152 texlive-generic-recommended_2013.20130722-1_all.deb
 82191c1a9554b05155011f2d9aacbcdb4d48058e 853426 texlive-latex-base_2013.20130722-1_all.deb
 46f673785291d6a08ceb534c86c38419a85a911e 6804460 texlive-latex-recommended_2013.20130722-1_all.deb
 1940bc0de201487846446d0ad6b25310fd940045 5911210 texlive-fonts-recommended_2013.20130722-1_all.deb
 435889d47fe45aa0b3c7e0acc63a642f7e4669ba 2369164 texlive-pictures_2013.20130722-1_all.deb
 cb1f63e439f04a4c8a18e2ce96ebf0ff3651ea51 8339116 texlive-luatex_2013.20130722-1_all.deb
 be4db651112b32654ee2c0e2b4eea28bacf29aa8 421220 texlive-metapost_2013.20130722-1_all.deb
 f76590510eb209481d51788284b6898951810d9d 2113726 texlive-omega_2013.20130722-1_all.deb
 5d453a992833b1e9d1462cc607c43c320c8cb4c9 7762606 texlive-xetex_2013.20130722-1_all.deb
 118f28b4f8790a1a1530825b91d1c0fc0b013a99 27288 texlive_2013.20130722-1_all.deb
 9c34b29a9a71db5e55cf2c0bc697a8fdea70a3de 27560 texlive-full_2013.20130722-1_all.deb
 055ea6969dbbc31b1ab63c19022fd64d9cc2a957 2902536 texlive-fonts-recommended-doc_2013.20130722-1_all.deb
 006751914f4da6dce2b8e3131bbd79d31e370adf 37422294 texlive-latex-base-doc_2013.20130722-1_all.deb
 26a499372830da095a44386d6a2aa6f3cb691dac 38577622 texlive-latex-recommended-doc_2013.20130722-1_all.deb
 d1fb518d04e222e1ca3ba151e2a529002d129fd5 24595006 texlive-metapost-doc_2013.20130722-1_all.deb
 b38599c3bda8f15bbd7f0c41f3e544621a929189 53917598 texlive-pictures-doc_2013.20130722-1_all.deb
Checksums-Sha256: 
 c13e3efa22ff9a9299d87d72ef8ba3adfe5b6f682eddffb3614aaec04f803485 2299 texlive-base_2013.20130722-1.dsc
 0106e45c8f993880ff136e046b330e3aa91bd1e87aa1724f94e00c357e0e95f6 216575252 texlive-base_2013.20130722.orig.tar.xz
 05935590c5492a2e48170a3309ffea7fb98c82a038eeb7eba383b87fef3ba38a 140385 texlive-base_2013.20130722-1.debian.tar.gz
 8d8de1eaae08091fa59db9e586743168c00b5d4ead78afc26eb0cbf7be5ea521 16078180 texlive-base_2013.20130722-1_all.deb
 1965d7126ce3dd3ba9740e2b25fd06e61bcc2366dcd15cdb8dec9f3ca2a72341 2141152 texlive-generic-recommended_2013.20130722-1_all.deb
 a99779b5f64bcfe80ed605902b8f3cae05d9a81d89d482f32dad8b5c9ebb07c5 853426 texlive-latex-base_2013.20130722-1_all.deb
 c7527bed97d3236164ee572539748df7014ee67c0e4cb331869a1f3bc65b0a4c 6804460 texlive-latex-recommended_2013.20130722-1_all.deb
 106648fac0a8d867267869d8dd6c6117eb2ea7f4dbcd1f128e663b6982b07b05 5911210 texlive-fonts-recommended_2013.20130722-1_all.deb
 0e30238a5d40c3af437b1c5814ad28ac292a20fa702f6b4f53276bbc5d04403c 2369164 texlive-pictures_2013.20130722-1_all.deb
 3d40358af776d56c78e25037e59fe4bc7646b0f443978b4f54451a3d42caacd6 8339116 texlive-luatex_2013.20130722-1_all.deb
 4c9f1351306613c834ca0efd3b7eac39a077aa26356a35bfea884ada6d3385e5 421220 texlive-metapost_2013.20130722-1_all.deb
 ebf049bd21ce33f798a3b0dfbce2d19f067be87a0200deac4c0f1b5e5a0a3306 2113726 texlive-omega_2013.20130722-1_all.deb
 cd28a0668be91fa8f8e9000bbcf6c4f263f5e0762ed18937f1ada3096af2d73a 7762606 texlive-xetex_2013.20130722-1_all.deb
 ba553fc6bfb47a17c95c550e32da3864ddc35394d9d1dd5b75d12fe4d3c09ac9 27288 texlive_2013.20130722-1_all.deb
 2e7045b5103049508c49183e8fabaed933d85386369332d984c0b38c23da42e8 27560 texlive-full_2013.20130722-1_all.deb
 26dd628cc3940878116c6ddc5902f02bc191f01ece608b478b739a11f8412872 2902536 texlive-fonts-recommended-doc_2013.20130722-1_all.deb
 6c73043f1eed4ab33ed6506ce8e778828076260a3d1e110aba14b72d4272d8d3 37422294 texlive-latex-base-doc_2013.20130722-1_all.deb
 8fe5e156ce3f790135a98f6fcbb5715d1c15983cc7bd8d7ae53ad361877be9b3 38577622 texlive-latex-recommended-doc_2013.20130722-1_all.deb
 fc8f54575d677565459c285e4cef484cc54d80fa50867249daea0beab19f6c53 24595006 texlive-metapost-doc_2013.20130722-1_all.deb
 29d98dc79c2de8bcc8d62e8fffbae5b2743f99d027dfd27a928c09e46a8d57fa 53917598 texlive-pictures-doc_2013.20130722-1_all.deb
Files: 
 c7e5ab44a10cee8402abf911cb7ba5ee 2299 tex optional texlive-base_2013.20130722-1.dsc
 2ddf75deb571a8c98f40d4e70f49867f 216575252 tex optional texlive-base_2013.20130722.orig.tar.xz
 34e6f5c02499f91e0c689de3313859de 140385 tex optional texlive-base_2013.20130722-1.debian.tar.gz
 137624dd1feb20f6574ca3287adb123b 16078180 tex optional texlive-base_2013.20130722-1_all.deb
 d01f12f2443ff80aca43ee317ecddf16 2141152 tex optional texlive-generic-recommended_2013.20130722-1_all.deb
 94e792404f20befdccc6d29445d4e5c0 853426 tex optional texlive-latex-base_2013.20130722-1_all.deb
 66f6b4e67d45af305f1f9b2190847577 6804460 tex optional texlive-latex-recommended_2013.20130722-1_all.deb
 84dff58ea082f7f5df8041c9126830e4 5911210 fonts optional texlive-fonts-recommended_2013.20130722-1_all.deb
 854157a3bd8c81de6e9b137b3102e0f7 2369164 tex optional texlive-pictures_2013.20130722-1_all.deb
 fa042b912ed2e802aad435ecda90a350 8339116 tex optional texlive-luatex_2013.20130722-1_all.deb
 049888cfed7be594b506da62a9e0101d 421220 tex optional texlive-metapost_2013.20130722-1_all.deb
 98baf2779d222105c02d71806f3eb4cb 2113726 tex optional texlive-omega_2013.20130722-1_all.deb
 abb63909b8733b664141180ea4c50d5b 7762606 tex optional texlive-xetex_2013.20130722-1_all.deb
 7eab3a41bb563e52aa8fff08ba04d735 27288 tex optional texlive_2013.20130722-1_all.deb
 559102456fd02ec87d8d5dde9f89d5b6 27560 tex optional texlive-full_2013.20130722-1_all.deb
 2d61067b498178cfce5efd3c927bac0a 2902536 doc optional texlive-fonts-recommended-doc_2013.20130722-1_all.deb
 5a23ab9165b5b43bc4000c80aa85e01b 37422294 doc optional texlive-latex-base-doc_2013.20130722-1_all.deb
 a36bcd0bc5cf5c6b55c7978f76896d8a 38577622 doc optional texlive-latex-recommended-doc_2013.20130722-1_all.deb
 2383d7e8614c1d5e8cbbc033be038c3d 24595006 doc optional texlive-metapost-doc_2013.20130722-1_all.deb
 7f2a4347b3ceda7892e3ad9238f210d9 53917598 doc optional texlive-pictures-doc_2013.20130722-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFR71Kl0r9KownFsJQRAqqcAJ9rkOJEWCEBUsYoQdeuxF3aAI2UdgCfSfax
9bJGRw1NP1rRs0Y/wdAUpgc=
=ndSI
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 23 Aug 2013 07:31:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:08:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.